* name:			sampleclean.prg
* description:	Deletes inconsistent orders added by sample1
*				and sample2 programs.
*
* author:		May/2000 - Hector Correa
* updated: 		

? "Deleting inconsistent orders added by sample programs..."

* Connects to Northwind database
* through connection defined in
* our VFP database.
open database MyVfpDBC
nConnection = sqlconnect( 'LocalNorthwind' )
if nConnection > 0 

	* Delete our dummy orders. 
	cSQL = 	"delete from Orders " +;
			"where shippeddate='2000-12-31' and " +;
			"      shipcity = 'Metropolis'"
	if sqlexec( nConnection, cSQL ) = 1
		? "Done"
	else
		? "Error: could execute DELETE command"
	endif
	
	sqldisconnect( nConnection )

else
	? "Error: program couldn't connect to SQL Server. " +;
	  "No orders were deleted"
endif

* Close everything.
close database 
? ""

* eof() sampleclean.prg