* name:			samplevieworders.prg
* description:	Retrieves and displays orders added by sample programs. 
*
* author:		May/2000 - Hector Correa
* updated: 		

? "Retrieving orders added by sample programs..."

* Connects to Northwind database
* through connection defined in
* our VFP database.
open database MyVfpDBC
nConnection = sqlconnect( 'LocalNorthwind' )
if nConnection > 0 

	* Delete our dummy orders. 
	cSQL = 	"select OrderID, CustomerID, ShipCity, ShippedDate " +;
			" from  Orders " +;
			" where shippeddate='2000-12-31' and " +;
			"       shipcity = 'Metropolis'"
	if sqlexec( nConnection, cSQL ) = 1
	
		if reccount( 'sqlresult' ) = 0
			? 'No orders were found' 
		else
			? reccount( 'sqlresult' ), ' orders were found'
			browse 
		endif
		? "Done"
		
	else
		? "Error: could execute DELETE command"
	endif
	
	sqldisconnect( nConnection )

else
	? "Error: program couldn't connect to SQL Server. " 
endif

* Close everything.
close database 
? ""

* eof() samplevieworders.prg